V2.0
post
/ec-designer-svc/rest/v2.0/studies/{studyId}/updateCopyStudyStatus
Update study copy status for the copied study
Request
Path Parameters
-
studyId(required): string(uuid)
Study ID (UUID, 32-character uppercase hexadecimal string). Required.Example:
2F9A6C7E1B8F4D56A23C9F3A0C7D4E11
Supported Media Types
- application/json
Root Schema : StudyCopyStatusDto v1.0
Type:
objectTitle:
StudyCopyStatusDto v1.0Form Info
Show Source
-
copyStatus: string
Copy statusExample:
Copy Rules in Progress -
studyId: string
(uuid)
Study Unique GUID
-
studyVersion: string
Study versionExample:
1.0.0.1
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : StudyCopyStatusDto v1.0
Type:
objectTitle:
StudyCopyStatusDto v1.0Form Info
Show Source
-
copyStatus: string
Copy statusExample:
Copy Rules in Progress -
studyId: string
(uuid)
Study Unique GUID
-
studyVersion: string
Study versionExample:
1.0.0.1
Examples
500 Response
Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Nested Schema : details
Type:
object